<?php

namespace App\Http\Controllers\Exports;
use App\Classes\Modules\Exports\ControllersLogic\ExportPackingListLogic;
use Illuminate\Http\Request;

class ExportPendingArrangementPackingListV2Controller
{
    /**
     * @param Request $request
     * @param ExportPackingListLogic $logic
     * @return BinaryFileResponse
     */
    public function export(Request $request, ExportPackingListLogic $logic) {
        $request->headers->set('PendingArrangement', true);
        return $logic->execute($request);
    }

    /**
     * @param Request $request
     * @param ExportPackingListLogic $logic
     * @return BinaryFileResponse
     */
    public function onHold(Request $request, ExportPackingListLogic $logic) {
        $request->headers->set('OnHold', true);
        return $logic->execute($request);
    }
}
